# Speaker Types Speaker Types ## Gets all of the speaker types in the system. - [GET /speakerTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/listspeakertypes.md): This method will scan all speaker types and and return them to the caller. ## Creates a new speaker type record that does not already exist. - [POST /speakerTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/createspeakertype.md): This method will auto-generate an ID and create a new speaker type. If an ID is specified for the speaker type, an error will be thrown. ## Execute Batch Operations - [POST /speakerTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a speaker type from the system by its ID. - [DELETE /speakerTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/deletespeakertype.md): This method will delete a speaker type with the specified ID. ## Returns a speaker type from the system by its ID. - [GET /speakerTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/getspeakertype.md): This method will look up a speaker type by the specified ID and return it back. ## Partially updates a speaker type with the specified ID. - [PATCH /speakerTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/patchspeakertype.md): This method will patch an existing speaker type with the specified ID, using the HTTP PATCH specification. ## Updates a speaker type with the specified ID. - [PUT /speakerTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/speaker-types/updatespeakertype.md): This method will update an existing speaker type with the specified ID.